package com.seryx.client;

import java.util.List;

import javax.naming.InitialContext;
import javax.naming.NamingException;

import com.seryx.test.A;
import com.seryx.test.B;
import com.seryx.test.GenericDAO;

public class Test {

	private static InitialContext ctx = null;
	GenericDAO gdao= null;
	
	public static void main(String[] args) {
		Test t = new Test();
		t.execute();
	}
	
	public void execute(){
		try {
			ctx = new InitialContext();
			gdao = (GenericDAO) ctx.lookup("com.seryx.test.GenericDAO");
			B b = new B("test");
			b = (B) gdao.persist(b);
			A a = new A(b);
			gdao.persist(a);
			
			List<A> la = gdao.getAllAs();
			for (A ea : la){
				System.out.println(ea.getIda());
			}
			
		} catch (NamingException e) {
			e.printStackTrace();
		}
		
	}	
}